import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('visu-chrono-year', 'Integration | Component | visu chrono year', {
  integration: true
});

test('it renders', function(assert) {
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });

  this.render(hbs`{{visu-chrono-year}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:
  this.render(hbs`
    {{#visu-chrono-year}}
      template block text
    {{/visu-chrono-year}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
